%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define libbonobo_version 2.4.0
%define libgnomeui_version 2.4.0.1
%define at_spi_version 1.3.7
%define libbonobo_version 2.4.0
%define atk_version 1.4.0
%define gtk2_version 2.2.4
%define gail_version 1.4.0
%define libwnck_version 2.4.0.1
%define esound_version 0.2.32

Summary: 	Gnome Onscreen Keyboard
Name:    	gok
Version: 	0.8.4
Release:	1
URL: 		http://www.gnome.org
Source: 	%{name}-%{version}.tar.bz2

Patch0:		gok-0.8.4-aix.patch
Patch1:		gok-0.8.4-autotools.patch

License: 	GPL 
Group: 		Gnome2/Accessibility
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	libgnomeui >= %{libgnomeui_version}
Requires:	at-spi >= %{at_spi_version}
Requires:	libbonobo >= %{libbonobo_version}
Requires:	atk >= %{atk_version}
Requires:	gtk2 >= %{gtk2_version}
Requires:	gail >= %{gail_version}
Requires:	libwnck >= %{libwnck_version}
Requires:	esound >= %{esound_version}
BuildRequires:	libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  at-spi-devel >= %{at_spi_version}
BuildRequires:  libbonobo-devel >= %{libbonobo_version}
BuildRequires:  atk-devel >= %{atk_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  gail-devel >= %{gail_version}
BuildRequires:  libwnck-devel >= %{libwnck_version}
BuildRequires:  esound-devel >= %{esound_version}

%description
Gnome Onscreen Keyboard

%package devel
Summary: Development tools.
Group: 		Gnome2/Accessibility
Requires: gok = %{version}

%description devel
Lib for development

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gok-0.8.4-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gok-0.8.4-autotools.patch

chmod +x configure
chmod +x install-sh
chmod +x mkinstalldirs

%build
PATH=%{_bindir}:$PATH CFLAGS="-qcpluscmt" ./configure --prefix=%{_prefix}
LIBPATH=%{_libdir} PATH=%{_bindir}:$PATH make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
PATH=%{_bindir}:$PATH \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
	make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%post
export PATH=%{_bindir}:$PATH
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gok.schemas > /dev/null

%files 
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gok
%{_datadir}/locale/*/LC_MESSAGES/gok.mo
%{_datadir}/gtk-doc/html/gok
%{_datadir}/gok
%{_datadir}/pixmaps
%{_datadir}/applications
%{_sysconfdir}/gconf/schemas/gok.schemas

/usr/bin/*

%files devel
%defattr(-, root, system)
%{_libdir}/pkgconfig/*.pc
